package com.ejie.aa94a.model.calculo;

import java.io.Serializable;
import java.util.List;

import com.ejie.aa94a.model.config.TipoSujecion;
import com.ejie.aa94a.model.config.Vehiculo;

public class Transporte implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Vehiculo vehiculo;
	private TipoSujecion tipoSujecion;
	private List<Bobina> bobinas;

	private String imagenes;

	/**
	 * 
	 */
	public Transporte() {
		super();
	}

	/**
	 * @param vehiculo
	 * @param tipoSujecion
	 * @param bobinas
	 */
	public Transporte(Vehiculo vehiculo, TipoSujecion tipoSujecion,
			List<Bobina> bobinas) {
		super();
		this.vehiculo = vehiculo;
		this.tipoSujecion = tipoSujecion;
		this.bobinas = bobinas;
	}

	/**
	 * @return the vehiculo
	 */
	public Vehiculo getVehiculo() {
		return vehiculo;
	}

	/**
	 * @param vehiculo
	 *            the vehiculo to set
	 */
	public void setVehiculo(Vehiculo vehiculo) {
		this.vehiculo = vehiculo;
	}

	/**
	 * @return the tipoSujecion
	 */
	public TipoSujecion getTipoSujecion() {
		return tipoSujecion;
	}

	/**
	 * @param tipoSujecion
	 *            the tipoSujecion to set
	 */
	public void setTipoSujecion(TipoSujecion tipoSujecion) {
		this.tipoSujecion = tipoSujecion;
	}

	/**
	 * @return the bobinas
	 */
	public List<Bobina> getBobinas() {
		return bobinas;
	}

	/**
	 * @param bobinas
	 *            the bobinas to set
	 */
	public void setBobinas(List<Bobina> bobinas) {
		this.bobinas = bobinas;
	}

	/**
	 * @return the imagenes
	 */
	public String getImagenes() {
		return imagenes;
	}

	/**
	 * @param imagenes
	 *            the imagenes to set
	 */
	public void setImagenes(String imagenes) {
		this.imagenes = imagenes;
	}

}
